Xerus_Wallpaper_Grey_4096x2304.png is a terrible default wallpaper filename

Bug #1592870 reported by Michael Terry on 2016-06-15
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-wallpapers (Ubuntu)
Undecided
Unassigned

Bug Description

"Xerus_Wallpaper_Grey_4096x2304.png" is not a good filename for a default wallpaper.

- It encodes the release where it first appeared. I would have assumed we'd learned that lesson from "warty-final-ubuntu.png", which is *still* our default wallpaper filename.

- It encodes the image size, which makes it awkward when/if we ever update the file to a different size.

Why didn't we just name it "ubuntu-grey.png" or something? Is it too late to do so? With a symlink involved for backwards compatibility. We could probably never drop the symlink, because we actually released this file into the wild... But at least we'd be trying.

Related branches

Michael Terry (mterry) wrote :

I realize that we release similarly named files in the release-specific packages, like ubuntu-wallpapers-xenial.

But this is in the default wallpaper set. Presumably meant to be long-lasting default filenames across releases. Not one-use wallpapers where a goofy name doesn't matter and actually helps distinguish them.

summary: - Xerus_Wallpaper_Grey_4096x2304.png is a terrible wallpaper filename
+ Xerus_Wallpaper_Grey_4096x2304.png is a terrible default wallpaper
+ filename
Michael Terry (mterry) wrote :

And as an example of this name being problematic, vivid's name for this wallpaper is "Suru_Wallpaper_Desktop_4096x2304_Gray.png".

So if I were to try to switch unity8-dash to use the system "paper" wallpaper instead of its built-in custom one, I'd point at "Suru_Wallpaper_Desktop_4096x2304_Gray.png" for vivid and "Xerus_Wallpaper_Grey_4096x2304.png" for xenial, and who knows what in yakkety.

Iain Lane (laney) wrote :

I don't remember being aware that it was a 'default' wallpaper.

For this upload, I'll make a symlink default-greyscale-wallpaper.png. Hopefully that works.

Michael Terry (mterry) wrote :

Well, it doesn't have to be a default wallpaper. Maybe we can move it into the release-specific packages like ubuntu-wallpapers-xenial and keep the weird name.

But being in the ubuntu-wallpapers package makes it seem like it's a standard complement to the official one (and it is sort of, the lines overlaid on the background match up).

Iain Lane (laney) wrote :

Maybe you can have a look at what I did and see if you think it's okay?

Iain Lane (laney) wrote :

It has the problem that the previous grey wallpaper will disappear from ubuntu-wallpapers so if you upgrade with that installed you'll lose it; maybe we just eat that problem? Or as you say we ship a compatibility symlink for the old version pointing to ubuntu-default-greyscale-wallpaper.png.

Iain Lane (laney) wrote :

Oh, if you like the sound of the last option, please could you implement it straight away? Then we won't have to make the Replaces/Breaks too crazy (ubuntu-wallpapers is in binNEW right now so we can fix it up before it gets out of there [before it gets out of proposed really]).

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-wallpapers - 16.10.0-0ubuntu1

---------------
ubuntu-wallpapers (16.10.0-0ubuntu1) yakkety; urgency=medium

  * New default wallpapers for 16.10 (LP: #1621413)
  * Add a symlink to the default greyscale wallpaper, called
    ubuntu-default-greyscale-wallpaper.png (LP: #1592870).

 -- Iain Lane <email address hidden> Thu, 08 Sep 2016 18:56:57 +0100

Changed in ubuntu-wallpapers (Ubuntu):
status: New → Fix Released
Jeremy Bicha (jbicha) wrote :

By the way, the yakkety package is missing /usr/share/backgrounds/contest/yakkety.xml

Jeremy Bicha (jbicha) wrote :

My initial thought is that ubuntu-wallpapers.xml.in should have
ubuntu-default-greyscale-wallpaper.png

and we should remove Yak_Wallpaper_Grey_4096x2304.png from yakkety-wallpapers.xml.in
and remove Suru_Wallpaper_Desktop_4096x2304_Gray.png from ubuntu-wallpapers.xml.in

That way, users who use the Settings app to set their wallpaper to the grey version in 16.10 will automatically get the new gray version when they upgrade to 17.04.

I believe we've previously always removed the old aubergine wallpapers with new versions (Ubuntu doesn't make it easy for someone to keep the 14.04 version of the default wallpaper when upgrading to 16.04. On the other hand, 10 slightly different aubergine wallpapers in the chooser for someone who upgrades to every Ubuntu release is probably a problem.). If we're going to change that now for the gray version then we should change it for the aubergine version too.

On Fri, Sep 09, 2016 at 05:38:22AM -0000, Jeremy Bicha wrote:
> By the way, the yakkety package is missing
> /usr/share/backgrounds/contest/yakkety.xml

On purpose. It will get that when there are contest wallpapers.

--
Iain Lane [ <email address hidden> ]
Debian Developer [ <email address hidden> ]
Ubuntu Developer [ <email address hidden> ]

Iain Lane (laney) wrote :

On Fri, Sep 09, 2016 at 05:45:41AM -0000, Jeremy Bicha wrote:
> My initial thought is that ubuntu-wallpapers.xml.in should have
> ubuntu-default-greyscale-wallpaper.png

> I believe we've previously always removed the old aubergine wallpapers
> with new versions (Ubuntu doesn't make it easy for someone to keep the
> 14.04 version of the default wallpaper when upgrading to 16.04. On the
> other hand, 10 slightly different aubergine wallpapers in the chooser
> for someone who upgrades to every Ubuntu release is probably a
> problem.). If we're going to change that now for the gray version then
> we should change it for the aubergine version too.

There's no reason that the previous ones have to be shown in the panel.
Just remove them from the XML.

The question is whether people should be shown the symlink in the
control center or the actual wallpaper itself. I've done the latter and
I don't plan to change it right now, but if someone else cares a lot
then they should feel free to do it.

With the current scheme, choosing to use the 'default' wallpaper would
be expressed by the distribution setting the wallpaper setting to the
symlink. Then users that haven't changed their wallpaper would indeed
get the new one on release upgrades.

Cheers,

--
Iain Lane [ <email address hidden> ]
Debian Developer [ <email address hidden> ]
Ubuntu Developer [ <email address hidden> ]

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers